/*
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package com.acroynon.springdatarestexample.client.api;

import com.acroynon.springdatarestexample.client.common.ApiException;
import com.acroynon.springdatarestexample.client.model.EntityModelLocation;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for LocationSearchControllerApi
 */
@Disabled
public class LocationSearchControllerApiTest {

    private final LocationSearchControllerApi api = new LocationSearchControllerApi();

    /**
     * @throws ApiException if the Api call fails
     */
    @Test
    public void executeSearchLocationGetTest() throws ApiException {
        String name = null;
        EntityModelLocation response = api.executeSearchLocationGet(name);
        // TODO: test validations
    }

}
